Redmine - Defect #14412

Wiki > Textile text with hidden part not correctly exported to pdf
2013-07-08 23:03 - Adrien SALES

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 2.3.1
Description

When i put the content (see textile source in attachment), and that i see the page with the section hidden, the pdf output is showing
the raw textile output in the pdf, i'll put attachment very soon.

Related issues:
Related to Redmine - Feature #13051: Support any macro in (pdf) export for wi... Closed

History

#1 - 2013-07-08 23:07 - Adrien SALES
- File 14412.png added
- File 14412.txt added

Screenshot of the pdf output :

Bug EXpOI‘t pdf RAW textile output in the pdf instead of a well formatted table

1. Les options AS/400{{collapse(Voir le détalil...)|_.ldent Option |_.Description Option |_.Commande Lancée ||1 |Comptabilité
M14 |CALL PGM (MAIRIE/LM14) |2 |Etat-Civil Bellila |CALL PGM (MAIRIE/LBELLILA) ||3 |Gestion du Personnel/Gestion
(DRH) |CALL PGM (MAIRIE/LPERSON) [|4 |Gestion de la Paie/Solde |CALL PGM (MAIRIE/LSOLDE) ||5 |Gestion du Courrier

|CALL PGM (MAIRIE/LCOUSG) |6 |Gestion des Conges (DRH) |CALL PGM (MAIRIE/LCONGES) ||7 |Gestion des Voies

|CALL PGM (MAIRIE/LVOIRIE) ||8 |Gestion des Tables MAIRIE |CALL PGM (MAIRIE/MENUTABL) ||9 |Gestion des Administres
du CCAS |CALL PGM (MAIRIE/LCCAS) |[10 |Gestion du Personnel-Utilisateur |CALL PGM (MAIRIE/LMENUPER) ||11
|Gestion du Courrier-Utilisateur |CALL PGM (MAIRIE/LCOUSC) [|12 |Gestion du personnel-SVS |CALL PGM
(MAIRIE/LPERSONSVS) ||13 |Comptabilité M14 - Utilisateur |CALL PGM (MAIRIE/LM14U) ||14 |Gestion des Rues |CALL PGM
(MAIRIE/LMNUVOI) ||15 |Gestion des repos compensateurs |Call (mairie/gesrc) ||18 |Gestion des Terrains Principal |CALL
PGM (MAIRIE/LMNUTER) |[|19 |Gestion des Locations municipales |CALL PGM (MAIRIE/LMNULOC) |20 |Visualisation des
tables état-civil (BLE) |GO MENU (MAIRIE/MNUBLE) |21 |Gestion de Stocks |CALL PGM (MAIRIE/LMNUSTOCK) [|22

The textile source is in attachment (14412.txt)

#2 - 2013-07-19 07:03 - Toshi MARUYAMA
- Category changed from Wiki to PDF export

#3 - 2013-07-21 12:33 - David Majorel
- File 14412 _remove_collapse_tags_in_pdf export _r12037.diff added

The collapse macro prevents the correct Wiki formatting when exporting to PDF.

The attached patch (against r12037) removes every collapse macros before rendering PDF file but keeps their contents in place.

#4 - 2013-07-29 02:50 - Toshi MARUYAMA
- Related to Feature #13051: Support any macro in (pdf) export for wiki's and issues added

Files

14412.png 151 KB 2013-07-08 Adrien SALES
14412.1xt 1.04 KB 2013-07-08 Adrien SALES
14412_remove_collapse_tags_in_pdf_export_r12037.diff 551 Bytes 2013-07-21 David Majorel
